Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.price.quote
Class AdjustmentDetail

    java.lang.Object
      com.bea.commerce.ebusiness.price.quote.AdjustmentDetail

All Implemented Interfaces
  Serializable

Deprecated See BEA Commerce product offering

    @Deprecated
    public class AdjustmentDetail

extends Object
implements Serializable

Provides information describing an Adjustment. AdjustmentDetails can only be modified by resetting the entire object.

See Also
  `Adjustment`, `AdjustmentType`, `Money`, Serialized Form

Constructor Summary
`protected` | `AdjustmentDetail()` Deprecated See BEA Commerce product offering
`protected` | `AdjustmentDetail(Adjustment parent, int seqNumber, AdjustmentType type, Money initialPrice, Money endPrice, String computation, String reason, Object detailID)` Deprecated See BEA Commerce product offering
`` | `AdjustmentDetail(AdjustmentType type, Money initialPrice, Money endPrice, String computation, String reason, Object detailID)` Deprecated See BEA Commerce product offering

Method Summary
`protected boolean` | `equalContent(AdjustmentDetail aDetail)` Deprecated See BEA Commerce product offering
`String` | `getComputation()` Deprecated See BEA Commerce product offering
`String` | `getCurrency()` Deprecated See BEA Commerce product offering
`Object` | `getDetailID()` Deprecated See BEA Commerce product offering
`Money` | `getEndPrice()` Deprecated See BEA Commerce product offering
`Money` | `getInitialPrice()` Deprecated See BEA Commerce product offering
`Adjustment` | `getParent()` Deprecated See BEA Commerce product offering
`String` | `getReason()` Deprecated See BEA Commerce product offering
`int` | `getSeqNumber()` Deprecated See BEA Commerce product offering
`AdjustmentType` | `getType()` Deprecated See BEA Commerce product offering
`protected void` | `set(Adjustment parent, int seqNumber)` Deprecated See BEA Commerce product offering
`protected void` | `set(Adjustment parent, int seqNumber, AdjustmentType type, Money initialPrice, Money endPrice, String computation, String reason, Object detailID)` Deprecated See BEA Commerce product offering
`void` | `set(AdjustmentType type, Money initialPrice, Money endPrice, String computation, String reason, Object detailID)` Deprecated See BEA Commerce product offering
`String` | `toString()` Deprecated See BEA Commerce product offering
`static String` | `toString(List details)` Deprecated See BEA Commerce product offering

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AdjustmentDetail

    protected AdjustmentDetail()

  Deprecated See BEA Commerce product offering

### AdjustmentDetail

    public AdjustmentDetail(AdjustmentType type,
                            Money initialPrice,
                            Money endPrice,
                            String computation,
                            String reason,
                            Object detailID)
                     throws QuoteException

  Deprecated See BEA Commerce product offering

  Construct a new AdjustmentDetail with the specified values.

  Parameters
    `type` - the AdjustmentType of this detail
    `initialPrice` - the price of the object before adjustment.
    `endPrice` - the price of the object after adjustment.
    `computation` - a string describing the computation used to compute the end price from the initial price.
    `reason` - the reason for the adjustment
    `detailID` - the identifier associated with this adjustment.
  Throws
    `com.bea.commerce.ebusiness.price.QuoteException`
    `QuoteException`
  See Also
    `AdjustmentType`, `Money`

### AdjustmentDetail

    protected AdjustmentDetail(Adjustment parent,
                               int seqNumber,
                               AdjustmentType type,
                               Money initialPrice,
                               Money endPrice,
                               String computation,
                               String reason,
                               Object detailID)
                        throws QuoteException

  Deprecated See BEA Commerce product offering

  Construct a new AdjustmentDetail with the specified values.

  Parameters
    `parent` - the parent Adjustment for this detail
    `seqNumber` - the sequence number for this detail
    `type` - the AdjustmentType of this detail
    `initialPrice` - the price of the object before adjustment.
    `endPrice` - the price of the object after adjustment.
    `computation` - a string describing the computation used to compute the end price from the initial price.
    `reason` - the reason for the adjustment
    `detailID` - the identifier associated with this adjustment.
  Throws
    `com.bea.commerce.ebusiness.price.QuoteException`
    `QuoteException`
  See Also
    `AdjustmentType`, `Money`

Method Detail

### set

    public void set(AdjustmentType type,
                    Money initialPrice,
                    Money endPrice,
                    String computation,
                    String reason,
                    Object detailID)
             throws QuoteException

  Deprecated See BEA Commerce product offering

  Set the AdjustmentDetail with the specified values. New Money objects are created from those specified

  Parameters
    `type` - the AdjustmentType of this detail
    `initialPrice` - the price of the object before adjustment.
    `endPrice` - the price of the object after adjustment.
    `computation` - a string describing the computation used to compute the end price from the initial price.
    `reason` - the reason for the adjustment
    `detailID` - the identifier associated with this adjustment.
  Throws
    `com.bea.commerce.ebusiness.price.QuoteException`
    `QuoteException`
  See Also
    `AdjustmentType`, `Money`

### set

    protected void set(Adjustment parent,
                       int seqNumber,
                       AdjustmentType type,
                       Money initialPrice,
                       Money endPrice,
                       String computation,
                       String reason,
                       Object detailID)
                throws QuoteException

  Deprecated See BEA Commerce product offering

  Set the AdjustmentDetail with the specified values. New Money objects are created from those specified.

  Parameters
    `parent` - the parent Adjustment for this detail
    `seqNumber` - the sequence number for this detail
    `type` - the AdjustmentType of this detail
    `initialPrice` - the price of the object before adjustment.
    `endPrice` - the price of the object after adjustment.
    `computation` - a string describing the computation used to compute the end price from the initial price.
    `reason` - the reason for the adjustment
    `detailID` - the identifier associated with this adjustment.
  Throws
    `com.bea.commerce.ebusiness.price.QuoteException`
    `QuoteException`
  See Also
    `AdjustmentType`, `Money`

### set

    protected void set(Adjustment parent,
                       int seqNumber)

  Deprecated See BEA Commerce product offering

### getType

    public final AdjustmentType getType()

  Deprecated See BEA Commerce product offering

  Returns the AdjustmentType for this detail.

### getInitialPrice

    public final Money getInitialPrice()

  Deprecated See BEA Commerce product offering

  Returns the initial price for the detail

### getEndPrice

    public final Money getEndPrice()

  Deprecated See BEA Commerce product offering

  Returns the final price for the detail

### getParent

    public final Adjustment getParent()

  Deprecated See BEA Commerce product offering

  Returns the Adjustment that is the parent of this detail

### getSeqNumber

    public final int getSeqNumber()

  Deprecated See BEA Commerce product offering

  Returns the sequence number of this detail

### getDetailID

    public final Object getDetailID()

  Deprecated See BEA Commerce product offering

  Returns the detail ID for this detail.

### getComputation

    public final String getComputation()

  Deprecated See BEA Commerce product offering

  Returns the computation string which describes how the end price was computed from the initial price

### getReason

    public final String getReason()

  Deprecated See BEA Commerce product offering

  Returns the reason for the adjustment.

### equalContent

    protected boolean equalContent(AdjustmentDetail aDetail)

  Deprecated See BEA Commerce product offering

### getCurrency

    public final String getCurrency()

  Deprecated See BEA Commerce product offering

  Returns the currency for this adjustment. All money values for this adjustment are of this currency

### toString

    public String toString()

  Deprecated See BEA Commerce product offering

  Produces a string representing this detail. This method is intended for debugging purposes and may change at anytime.

  Overrides:
    `toString` in class `Object`

### toString

    public static String toString(List details)

  Deprecated See BEA Commerce product offering

  Produces a string representing a List of details. This method is intended for debugging purposes and may change at anytime.

  Parameters
    `details` - a List of AdjustmentDetails.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved